GET
/global-variables/Get all global variable
You can return a list of all of your global variables.
Request
- CURL
- JavaScript
- PHP
- Python
curl -X GET -H "Authorization: Token <your_64_char_api_key>"
-H "Accept: */*; version=2"
"https://<your_app_subdomain>.user.com/api/public/global-variables/"
var data = null;
var xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === 4) {
console.log(this.responseText);
}
});
xhr.open("GET", "https://<your_app_subdomain>.user.com/api/public/global-variables/");
xhr.setRequestHeader("authorization", "Token <your_64_char_api_key>");
xhr.setRequestHeader("accept", "*/*; version=2");
xhr.send(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => "https://<your_app_subdomain>.user.com/api/public/global-variables/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => array(
"Accept: */*; version=2",
"authorization: Token <your_64_char_api_key>"
),
));
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
import requests
url = "https://<your_app_subdomain>.user.com/api/public/global-variables/"
headers = {'authorization': 'Token <your_64_char_api_key>'}
response = requests.get(url, headers=headers)
print(response.text)
Response
{
"results": [
{
"id": 1,
"name": "Promotion Title",
"name_std": "promotion_title",
"language": null,
"integer_content": "",
"text_content": "January Promotions",
"author": 116,
"created_at":"2019-01-24T09:00:15.800900Z",
"updated_at":"2019-01-24T09:00:15.801042Z",
"author": 1,
"parent": null
},
{
"id": 2,
"name": "Weeks Quote",
"name_std": "weeks_quote",
"language": null,
"integer_content": "",
"text_content": "Knowing yourself is the beginning of all wisdom. - Aristotle",
"author": 213,
"created_at":"2019-06-30T12:11:15.800900Z",
"updated_at":"2020-03-24T09:00:15.801042Z",
"author": 1,
"parent": null
},
{
"id": 3,
"name": "Days Left",
"name_std": "days_left",
"language": null,
"integer_content": 12,
"text_content": "",
"author": 12,
"created_at":"2020-02-01T00:00:00.000001Z",
"updated_at":"2020-02-03T00:00:00.000001Z",
"author": 1,
"parent": null
}
],
"next": null,
"previous": null,
"count": 3;
}